Bug 174135 - boot.iso: linux32 should use ramdisk32 and not ramdisk64
boot.iso: linux32 should use ramdisk32 and not ramdisk64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-11-24 19:28 EST by Patrick
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 12:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2005-11-24 19:28:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
On the boot.iso in FC5t1 in /etc/yaboot.conf the linux32 entry uses the 64bit ramdisk instead of the 32bit ramdisk.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. burn boot.iso
2. boot a 32bit ppc box like an RS/6000 43p-150
3. fails to load the network driver
  

Additional info:

This is easily fixed by making the following change in /etc/yaboot.conf:

image=/ppc/ppc32/vmlinuz
        label=linux32
        initrd=/ppc/ppc32/ramdisk.image.gz
        read-only    ^^^^^
Comment 1 David Woodhouse 2005-11-25 05:00:50 EST
Oops. As Patrick says, ...

--- anaconda-10.90.8/bootdisk/ppc/yaboot.conf.3264.orig
+++ anaconda-10.90.8/bootdisk/ppc/yaboot.conf.3264
@@ -10,5 +10,5 @@ image=/ppc/ppc64/vmlinuz

 image=/ppc/ppc32/vmlinuz
        label=linux32
-       initrd=/ppc/ppc64/ramdisk.image.gz
+       initrd=/ppc/ppc32/ramdisk.image.gz
        read-only
Comment 2 Jeremy Katz 2005-11-25 12:11:54 EST
Oops, got confused by the various sed'ing of stuff in mk-images.ppc.  Committed

Note You need to log in before you can comment on or make changes to this bug.